#pragma once

#include "CoreMinimal.h"
#include "StatusEffect.h"
#include "Templates/SubclassOf.h"
#include "K39GateBlockerEffect.generated.h"

class UK39TentacleSwingAbilityData;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK39GateBlockerEffect : public UStatusEffect
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UStatusEffect> _gateBlockerEffectClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	UK39TentacleSwingAbilityData* _tentacleSwingAbilityData;

public:
	UK39GateBlockerEffect();
};

FORCEINLINE uint32 GetTypeHash(const UK39GateBlockerEffect) { return 0; }
